Name:           acheck
Version:        0.5.1
Release:        3%{?dist}
Summary:        Check common localisation mistakes

Group:          Applications/Text
License:        GPLv2+
URL:            http://packages.debian.org/etch/%{name}
Source0:        http://ftp.de.debian.org/debian/pool/main/a/acheck/%{name}_%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gettext
BuildArch:      noarch
Requires:       perl
Requires:       perl(Text::Aspell), perl(Config::General), perl(Term::Size), perl(Locale::gettext)
Requires:       perl(Locale::PO), perl(Term::ReadLine::Gnu), perl(Term::UI), %{name}-rules


%description
Any text file checker, is a tool designed to help both
translators and reviewers checking and fixing common localisation
mistakes according to file format. Rules can be defined to add new
checks.

%prep
%setup -q -n acheck-%{version}


%build
#Empty build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}/
install -p -m 755 %{name} $RPM_BUILD_ROOT/%{_bindir}/
mkdir -p $RPM_BUILD_ROOT%{perl_vendorlib}/ACheck/
install -p -m 644 Common.pm FileType.pm Parser.pm \
 $RPM_BUILD_ROOT%{perl_vendorlib}/ACheck/
cd po;make;cd ..

echo """
use Pod::Man;
my \$parser = Pod::Man->new(release => \$VERSION, section => 8);
\$parser->parse_from_file(\$ARGV[0], \$ARGV[1]);
""" > $RPM_BUILD_ROOT/pod2man.pl

perl $RPM_BUILD_ROOT/pod2man.pl man/acheck.1.pod acheck.1
perl $RPM_BUILD_ROOT/pod2man.pl man/acheck.5.pod acheck.5
perl $RPM_BUILD_ROOT/pod2man.pl man/acheck.fr.1.pod acheck.fr.1
perl $RPM_BUILD_ROOT/pod2man.pl man/acheck.fr.5.pod acheck.fr.5

mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1/
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man5/
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1/fr
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man5/fr

install -p -m 644 acheck.1 $RPM_BUILD_ROOT/%{_mandir}/man1/
install -p -m 644 acheck.5 $RPM_BUILD_ROOT/%{_mandir}/man5/
install -p -m 644 acheck.fr.1 $RPM_BUILD_ROOT/%{_mandir}/man1/fr/acheck.1
install -p -m 644 acheck.fr.5 $RPM_BUILD_ROOT/%{_mandir}/man5/fr/acheck.5
rm -f $RPM_BUILD_ROOT/pod2man.pl

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/locale/fr/LC_MESSAGES/ \
 $RPM_BUILD_ROOT/%{_datadir}/locale/pl/LC_MESSAGES/ \
 $RPM_BUILD_ROOT/%{_datadir}/locale/sv/LC_MESSAGES/
install -p -m 644 po/fr.mo $RPM_BUILD_ROOT/%{_datadir}/locale/fr/LC_MESSAGES/%{name}.mo
install -p -m 644 po/pl.mo $RPM_BUILD_ROOT/%{_datadir}/locale/pl/LC_MESSAGES/%{name}.mo
install -p -m 644 po/sv.mo $RPM_BUILD_ROOT/%{_datadir}/locale/sv/LC_MESSAGES/%{name}.mo

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc debian/changelog debian/copyright
%doc misc/bash_completion
%{_bindir}/%{name}
%{perl_vendorlib}/*
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
%{_mandir}/man1/fr/*.1*
%{_mandir}/man5/fr/*.5*
%{_datadir}/locale/fr/LC_MESSAGES/%{name}.mo
%{_datadir}/locale/pl/LC_MESSAGES/%{name}.mo
%{_datadir}/locale/sv/LC_MESSAGES/%{name}.mo

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jun 21 2009 Rakesh Pandit <rakesh@fedoraproject.org> 0.5.1-2
- Fixed Provides and Requires

* Fri Jun 12 2009 Rakesh Pandit <rakesh@fedoraproject.org> 0.5.1-1
- Initial package
